Package com.gpudb.protocol
Class FilterByTableRequest.Options
java.lang.Object
com.gpudb.protocol.FilterByTableRequest.Options
Enclosing class:
A set of string constants for the
FilterByTableRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final StringBuffer size, in meters.static final StringMethod used to buffer polygons.static final String[DEPRECATED—please specify the containing schema for the view as part ofviewNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the newly created view.static final Stringstatic final Stringstatic final StringString indicating the filter mode, eitherIN_TABLEorNOT_IN_TABLE.static final StringUse geos 1 edge per corner algorithm.static final Stringstatic final StringMaximum number of points * edges in a partition.static final StringMaximum number of points in a partition.static final Stringstatic final Stringstatic final Stringstatic final Stringstatic final Stringstatic final StringName of column containing x value of point being filtered inSPATIALmode.static final StringName of column containing y value of point being filtered inSPATIALmode.
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofviewName. This is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_VIEW_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema for the view as part ofviewNameand useGPUdb.createSchemato create the schema if non-existent] Name of a schema for the newly created view. If the schema is non-existent, it will be automatically created.See Also:FILTER_MODE
String indicating the filter mode, eitherIN_TABLEorNOT_IN_TABLE. Supported values:The default value isIN_TABLE.See Also: